//
//  ViewController.m
//  yemianlianshen
//
//  Created by feique on 16/7/14.
//  Copyright © 2016年 com.feique. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    
    UIView *_buttonView;
    UIButton *_button;
    UIView *view;
}
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    [self createButton];
}

- (void)createButton{
    
    view = [[UIView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 100)];
    
    view.backgroundColor = [UIColor grayColor];
    [self.view addSubview:view];
    
    _button = [UIButton buttonWithType:UIButtonTypeCustom];
    
    _button.frame = CGRectMake(self.view.frame.size.width - 100, view.frame.size.height - 50, 60, 30);
    
   // _button.imageView.image = [UIImage imageNamed:@"downArrow@3x.png"];
    
    [_button setBackgroundImage:[UIImage imageNamed:@"downArrow@3x.png"] forState:UIControlStateNormal];
    
    _button.backgroundColor = [UIColor yellowColor];
    
    [view addSubview:_button];
    
    [_button addTarget:self action:@selector(buttonClick) forControlEvents:UIControlEventTouchUpInside];
    
    [self createButtonView];
}

- (void)buttonClick{
    
    
    _buttonView.hidden = !_buttonView.hidden;
    
    if (_buttonView.hidden == NO) {
        
        
        _button.frame = CGRectMake(self.view.frame.size.width - 100, 150, 60, 30);
        
        
        [_button setBackgroundImage:[UIImage imageNamed:@"upArrow@3x.png"] forState:UIControlStateNormal];
        [_buttonView addSubview:_button];
    }
    if (_buttonView.hidden == YES) {
        _button.frame = CGRectMake(self.view.frame.size.width - 100, view.frame.size.height - 50, 60, 30);
        [_button setBackgroundImage:[UIImage imageNamed:@"downArrow@3x.png"] forState:UIControlStateNormal];
        [view addSubview:_button];
    }
   
}

- (void)createButtonView{
    
        _buttonView = [[UIView alloc]initWithFrame:CGRectMake(0, 100, self.view.frame.size.width, 200)];
        
        _buttonView.backgroundColor = [UIColor redColor];
        
        _buttonView.hidden = YES;
        
        [self.view addSubview:_buttonView];
    
    
    
}



- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
